Question

Seeking advice on a couple of S1/latest Android app technical details


Userlevel 1
Badge +4

I have a 9-unit Sonos system (Connects and ZP100s) running as S1.

My control tablets are on 6.0.1, running the app v10.3 (build 51166240). Seem to remember it was the last version my tablets could run.

If I update the system :

  1. What is the minimum Android version that latest S1 app need to work ?
    (ie will I need new tablet controllers ?)
     
  2. What Samba (SMB) version does it use to hook up to network (NAS) filestores ?
    - My NAS has been forced to stay on SMB 1 (deprecated) to communicate with the app I’m running – yes, I’m aware of the security risk. Rather move to a secure SMB version. Yes, I’ve seen about the Raspberry Pi workaround, but that opens a whole new rabbit hole for me.

2 replies

I have a 9-unit Sonos system (Connects and ZP100s) running as S1.

My control tablets are on 6.0.1, running the app v10.3 (build 51166240). Seem to remember it was the last version my tablets could run.

If I update the system :

  1. What is the minimum Android version that latest S1 app need to work ?
    (ie will I need new tablet controllers ?

 

  • Android 8.0 and higher (Not supported on Chromebooks)

https://support.sonos.com/en-us/article/sonos-app-requirements

 

  1. What Samba (SMB) version does it use to hook up to network (NAS) filestores ?
    - My NAS has been forced to stay on SMB 1 (deprecated) to communicate with the app I’m running – yes, I’m aware of the security risk. Rather move to a secure SMB version. Yes, I’ve seen about the Raspberry Pi workaround, but that opens a whole new rabbit hole for me.

S1 supports SMB v1 only.

Userlevel 1
Badge +4

Many thanks for the swift answers, jgatie.

Sorry, hadn’t picked up the sonos-app-requirements page.

Suspected S1 was stuck on SMB v1. 

 

Reply